

#   Package for Spectrum access using calls to a localhost memsas server
#  (Solaris only)

set PACKAGE Spectrum
set VERSION 1.0

global tcl_platform 


switch $tcl_platform(os) {
   "Windows NT" {
       package ifneeded $PACKAGE $VERSION  \
           puts stderr "Package $PACKAGE is not available for Windows"
   }
   SunOS {
       package ifneeded $PACKAGE $VERSION  \
           [source [file join $env(MIDASBASE) MIDASpackages $PACKAGE [set PACKAGE][set VERSION].tcl]]
   }
   Linux {
       switch $tcl_platform(machine) {
           i686 -
           intel {
               package ifneeded $PACKAGE $VERSION  \
                   [source [file join $env(MIDASBASE) MIDASpackages $PACKAGE [set PACKAGE][set VERSION].tcl]]
           }
           ppc {
               package ifneeded $PACKAGE $VERSION  \
                   [source [file join $env(MIDASBASE) MIDASpackages $PACKAGE [set PACKAGE][set VERSION].tcl]]
           }
           default {"unknown or unsupported machine - $tcl_platform(machine)"}
       }
   }
   default {"unknown or unsupported os - $tcl_platform(os)"}
}

