package require SOAP

global SOAPServerHost SOAPServerPort
variable uri "urn:TapeServer"
variable proxy "http://$SOAPServerHost:$SOAPServerPort/TapeServer"

SOAP::create MountVolume -proxy $proxy -uri $uri -params {id string volume_name string}
SOAP::create OpenFile -proxy $proxy -uri $uri \
    -params {id string access_mode int label_type int record_length int block_length int file_name string}
SOAP::create InquireDeviceStatus -proxy $proxy -uri $uri -params {id string}
SOAP::create CloseFile -proxy $proxy -uri $uri -params {id string}
SOAP::create DismountVolume -proxy $proxy -uri $uri -params {id string}
SOAP::create DeallocateDevice -proxy $proxy -uri $uri -params {id string}
SOAP::create InquireStreamStatus -proxy $proxy -uri $uri -params {id string}
SOAP::create InitialiseVolume -proxy $proxy -uri $uri \
    -params {id string volume_name string label_type int density_code int current_volume_name string}
SOAP::create IdentifyVolume -proxy $proxy -uri $uri -params {id string}
SOAP::create InquireAvailableDevices -proxy $proxy -uri $uri -params {}
SOAP::create AllocateDevice -proxy $proxy -uri $uri -params {id string device_name string}
SOAP::create ClaimTapeServer -proxy $proxy -uri $uri -params {}
SOAP::create FreeTapeServer -proxy $proxy -uri $uri -params {}
SOAP::create SetTapeServerState -proxy $proxy -uri $uri -params {int state}
SOAP::create InquireTapeServerState -proxy $proxy -uri $uri -params {}
SOAP::create AssociateStream -proxy $proxy -uri $uri -params {int stream ids string}
SOAP::create InquireStreamAssociation -proxy $proxy -uri $uri -params {int stream}
SOAP::create InquireStreamState -proxy $proxy -uri $uri -params {int stream}
SOAP::create SetRunNumber -proxy $proxy -uri $uri -params {int n}
SOAP::create InquireAcqStatus -proxy $proxy -uri $uri -params {}



